%define section free

Summary:        xReporter Reporting Framework
Name:           xreporter
Version:        1.2.1
Release:        1jpp
Epoch:          0
License:        Apache Software License 2.0
URL:            http://cocoondev.org/xreporter/
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        xreporter-1_2_1.tgz
Source1:        WildcardHelper.java
BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.6
BuildRequires:  xpp3
#BuildRequires:  avalon-logkit
BuildRequires:  excalibur-avalon-logkit
#BuildRequires:  avalon-framework
BuildRequires:  excalibur-avalon-framework-api
BuildRequires:  avalon-excalibur
BuildRequires:  dom4j
BuildRequires:  jakarta-commons-collections
#BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-logging
BuildRequires:  servlet
BuildRequires:  jetty4
BuildRequires:  icu4j
# lib/core/cocoon-wildcardhelper.jar.no
###

Requires:  xml-commons-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
xReporter is an open-source, web-based database reporting 
framework. It allows you to create flexible reports without 
any programming (though you'll need SQL knowledge).
xReporter is written in Java and based on a lot of Apache 
open source projects such as Avalon, Cocoon and Tomcat. 
xReporter's presentation layer makes extensive use of XML 
and related technologies, such as XSLT.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n xreporter
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
mkdir -p src/java/org/apache/cocoon/matching/helpers
cp %{SOURCE1} src/java/org/apache/cocoon/matching/helpers/WildcardHelper.java

%build
pushd lib/client
# lib/client/xpp3_1_0_8a.jar.no
ln -sf $(build-classpath xpp3)
popd
pushd lib/test
# lib/test/logkit-1.1.jar.no
ln -sf $(build-classpath excalibur/avalon-logkit)
# lib/test/dom4j.jar.no
ln -sf $(build-classpath dom4j)
popd
pushd lib/core
# lib/core/commons-collections-2_0.jar.no
ln -sf $(build-classpath commons-collections)
# lib/core/javax.servlet.jar.no
ln -sf $(build-classpath servlet)
# lib/core/mm.mysql-2.0.14-bin.jar.no
# lib/core/org.mortbay.jetty.jar.no
ln -sf $(build-classpath jetty4)
# lib/core/icu4j-format-2_6.jar.no
ln -sf $(build-classpath icu4j)
# lib/core/avalon-framework-20022706.jar.no
ln -sf $(build-classpath excalibur/avalon-framework-api)
ln -sf $(build-classpath excalibur/avalon-framework-impl)
# lib/core/cocoon-wildcardhelper.jar.no
# lib/core/commons-httpclient-2.0-beta2.jar.no
ln -sf $(build-classpath commons-httpclient)
# lib/core/commons-logging.jar.no
ln -sf $(build-classpath commons-logging)
# lib/core/excalibur-concurrent-02_08_2002.jar.no
ln -sf $(build-classpath avalon-excalibur)
popd

#export OPT_JAR_LIST="ant-contrib ant/ant-junit junit ant/ant-trax jmock easymock xmlunit"
ant -Dconf.home=$(pwd) -f xreporter-build.xml seed all standalone-jars javadoc reportalltests
#ant -f xreporter-build.xml standalone-jars javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/blocks

install -m 644 build/%{name}-all.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-all-%{version}.jar
install -m 644 build/%{name}-common.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-common-%{version}.jar
install -m 644 build/user-extensions.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/user-extensions-%{version}.jar

for b in expression blocktester datatype report userentrystore datasource httpconnector reportstore connectionprovider authorisation idgenerator resource user; do
	install -m 644 build/blocks/${b}-block.jar \
	   $RPM_BUILD_ROOT%{_javadir}/%{name}/blocks/${b}-block-%{version}.jar
done

install -m 644 build/standalone/%{name}-expression.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-expression-%{version}.jar
install -m 644 build/standalone/%{name}-grouping.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-grouping-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/blocks && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*.jar
%{_javadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Fri Oct 21 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.2.1-1jpp
- First JPP release
